# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Aug 24 19:57:54 2022
# ------------------------------------------------

package:
  name: python-fastjsonschema
  version: 2.16.2
source:
  sha256: 552e8b07a076f4628e9a3c78f040ed673bed9b5b860d3cb51b323da50e2e3d47
  url: https://github.com/horejsek/python-fastjsonschema/archive/v2.16.2.tar.gz
build:
  number: '0'
  script: /opt/conda/conda-bld/python-fastjsonschema_1661371079312/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . -vv
  string: py39h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2022.07.19 h06a4308_0
    - certifi 2022.6.15 py39h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.3 h5eee18b_3
    - openssl 1.1.1q h7f8727e_0
    - pip 22.1.2 py39h06a4308_0
    - python 3.9.12 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 63.4.1 py39h06a4308_0
    - sqlite 3.39.2 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - python >=3.9,<3.10.0a0
test:
  commands:
    - cd tests && pytest -vv --cov fastjsonschema -k "not (compile_to_code_ipv6_regex
      or compile_to_code_custom_format_with_refs)" --cov-report term-missing:skip-covered
      --no-cov-on-fail --cov-fail-under 84
  imports:
    - fastjsonschema
  requires:
    - pytest-benchmark
    - pytest-cov
  source_files:
    - tests
about:
  description: 'fastjsonschema implements validation of JSON documents by JSON schema.
    The

    library implements JSON schema drafts 04, 06 and 07. The main purpose is to

    have a really fast implementation.

    '
  dev_url: https://github.com/horejsek/python-fastjsonschema
  doc_source_url: https://github.com/horejsek/python-fastjsonschema/tree/master/docs
  doc_url: https://horejsek.github.io/python-fastjsonschema
  home: https://github.com/horejsek/python-fastjsonschema
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Fastest Python implementation of JSON schema
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 2857a176-fdcd-4633-af77-ccaf62cdc64a
  recipe-maintainers:
    - bollwyvl
  remote_url: git@github.com:AnacondaRecipes/python-fastjsonschema-feedstock.git
  sha: 44dbcbd5619896d1396894d093248a69fcb92e78
